Work around false positive warnings from GLib < 2.52.1

Debian stable has GLib 2.50.x, which suffered from GNOME#779409.
We can avoid the bug by making warnings briefly non-fatal.

Signed-off-by: Simon McVittie <smcv@collabora.com>
Reviewed-by: Philip Withnall <withnall@endlessm.com>
12 jobs for filtering-105656 in 9 minutes and 49 seconds (queued for 2 seconds)
latest